cancel
Showing results for 
Search instead for 
Did you mean: 
usertzeLkPC9bj
Constellation

Galaxy Wear App and Plugin not compatible

Hello,

I'm using a Galaxy Watch 46mm for about a year.

My smartphone, that is connected to the watch, is a Xiaomi Poco F1, running android 9 Pie (miui 10.3.4.0 stable).

I had installed Galaxy Wear App and plugin from Google play store normally some months ago.

For a strange reason the above apps started showing incompatible for my phone recently (screenshots attached).

As a result, i can't update them anymore.

Does anyone know why and if it could be fixed?

 

 

 

2.png1.png

5 REPLIES 5
eddiev
Constellation

Re: Galaxy Wear App and Plugin not compatible

It happends to mee to. I have a Xiaomi Redmi note 7. I install the apk manually but the new version of wearable app makes s3 watch battery drain in hours.

Reply
Loading...
userz1bmrlhHup
Constellation

Re: Galaxy Wear App and Plugin not compatible

same problem for my xiaomi max3

Reply
Loading...
Samsung Moderator
Samsung Moderator

Re: Galaxy Wear App and Plugin not compatible

Has your phone had any updates recently? Here is the current list of compatible devices with the wearables app and our watches: https://www.samsung.com/global/galaxy/galaxy-watch/device-compatibility/

Reply
Loading...
useroFv7mzVAUj
Astronaut

Re: Galaxy Wear App and Plugin not compatible

Excuse me, but how dare You? We have bought Your watch, which have been functioning perfectly, especially the apps (One+3, OxygenOs i have) and for a month now it is not. And all you can say that we should check out the compatibility list? Our phones ARE compatible, You guys should do something to figure this out and patch the applications. 


@SamsungJace wrote:

Has your phone had any updates recently? Here is the current list of compatible devices with the wearables app and our watches: https://www.samsung.com/global/galaxy/galaxy-watch/device-compatibility/


Reply
Loading...
Red Giant

Re: Galaxy Wear App and Plugin not compatible


@usertzeLkPC9bj wrote:

Hello,

I'm using a Galaxy Watch 46mm for about a year.

My smartphone, that is connected to the watch, is a Xiaomi Poco F1, running android 9 Pie (miui 10.3.4.0 stable).

I had installed Galaxy Wear App and plugin from Google play store normally some months ago.

For a strange reason the above apps started showing incompatible for my phone recently (screenshots attached).

As a result, i can't update them anymore.

Does anyone know why and if it could be fixed?

 

 

 

2.png1.png


Galaxy Wearable app was updated 4-5 days ago, maybe that is the problem...I am using Note10 and it works fine even after the update and I tested on Pixel 2, works fine as well.  I you are able to leave feedback for the galaxy wearable app, do that.

Reply
Loading...